Symfony 4 was released on November 30th.
Update now to the best Symfony ever!

Symfony 3.2.2 released

Symfony 3.2.2 has just been released. Here is a list of the most important changes:

  • bug #21257 [Profiler][Form] Fix form profiler errors profiler_dump (ogizanagi)
  • bug #21243 [FrameworkBundle] Fix class_exists() checks in PhpArrayAdapter-related cache warmers (nicolas-grekas, mpajunen)
  • bug #21218 [Form] DateTimeToLocalizedStringTransformer does not use timezone when using date only (magnetik)
  • bug #20605 [Ldap] Always have a valid connection when using the EntryManager (bobvandevijver)
  • bug #21104 [FrameworkBundle] fix IPv6 address handling in server commands (xabbuh)
  • bug #20793 [Validator] Fix caching of constraints derived from non-serializable parents (uwej711)
  • bug #19586 [TwigBundle] Fix bug where namespaced paths don't take parent bundles in account (wesleylancel)
  • bug #21237 [FrameworkBundle] Fix relative paths used as cache keys (nicolas-grekas)
  • bug #21183 [Validator] respect groups when merging constraints (xabbuh)
  • bug #21179 [TwigBundle] Fixing regression in TwigEngine exception handling (Bertalan Attila)
  • bug #21220 [DI] Fix missing new line after private alias (ogizanagi)
  • bug #21211 Classloader tmpname (lyrixx)
  • bug #21205 [TwigBundle] fixed usage when Templating is not installed (fabpot)
  • bug #21155 [Validator] Check cascasdedGroups for being countable (scaytrase)
  • bug #21200 [Filesystem] Check that directory is writable after created it in dumpFile() (chalasr)
  • bug #21186 [Bridge/PhpUnit] Relax expectedDeprecation for forward compat (nicolas-grekas)
  • bug #21184 [FrameworkBundle] Remove Response* from classes to compile (nicolas-grekas)
  • bug #21165 [Serializer] int is valid when float is expected when deserializing JSON (dunglas)
  • bug #21167 [Cache] Remove silenced warning tiggered by PhpArrayAdapter (nicolas-grekas)
  • bug #21166 [Cache] Fix order of writes in ChainAdapter (nicolas-grekas)
  • bug #21113 [FrameworkBundle][HttpKernel] Fix resources loading for bundles with custom structure (chalasr)
  • bug #20995 [DependencyInjection] Fix the priority order of compiler pass trait (francoispluchino)
  • bug #21084 [Yaml] handle empty lines inside unindented collection (xabbuh)
  • bug #21143 [PhpUnitBridge] Set COMPOSER_ROOT_VERSION while installing (nicolas-grekas)
  • bug #20925 [HttpFoundation] Validate/cast cookie expire time (ro0NL)
  • bug #21138 [PhpUnitBridge] skip tests with failure and error states too (xabbuh)
  • bug #21135 [PhpUnitBridge] hide stack trace of expected deprecation failures (xabbuh)
  • bug #21117 [Yaml] add missing indicator character (xabbuh)
  • bug #21121 [PhpUnitBridge] respect skipped and incomplete tests (xabbuh)
  • bug #21032 [SecurityBundle] Made collection of user provider unique when injecting them to the RemberMeService (lyrixx)
  • bug #21078 [Console] Escape default value when dumping help (lyrixx)
  • bug #21076 [Console] OS X Can't call cli_set_process_title php without superuser (ogizanagi)
  • bug #20900 [Console] Descriptors should use Helper::strlen (ogizanagi)
  • bug #21025 [Cache] remove is_writable check on filesystem cache (4rthem)
  • bug #21064 [Debug] Wrap call to ->log in a try catch block (lyrixx)
  • bug #21069 [Debug] Fixed cast of stream (lyrixx)
  • bug #21010 [Debug] UndefinedMethodFatalErrorHandler - Handle anonymous classes (SpacePossum)
  • bug #20991 [cache] Bump RedisAdapter default timeout to 5s (Nicofuma)
  • bug #20959 [FrameworkBundle] Ignore AnnotationException exceptions in the AnnotationsCacheWarmer (fancyweb)
  • bug #20795 [FrameworkBundle] Allow multiple transitions with the same name (Padam87)
  • bug #20859 Avoid warning in PHP 7.2 because of non-countable data (wouterj)
  • bug #21053 [Validator] override property constraints in child class (xabbuh)
  • bug #21034 [FrameworkBundle] Make TemplateController working without the Templating component (dunglas)
  • bug #20970 [Console] Fix question formatting using SymfonyStyle::ask() (chalasr, ogizanagi)
  • bug #20999 [HttpKernel] Continuation of #20599 for 3.1 (ro0NL)
  • bug #20975 [Form] fix group sequence based validation (xabbuh)
  • bug #20599 [WebProfilerBundle] Display multiple HTTP headers in WDT (ro0NL)
  • bug #20799 [TwigBundle] do not try to register incomplete definitions (xabbuh)
  • bug #20961 [Validator] phpize default option values (xabbuh)
  • bug #20934 [FrameworkBundle] Fix PHP form templates on translatable attributes (ro0NL)
  • bug #20957 [FrameworkBundle] test for the Validator component to be present (xabbuh)
  • bug #20936 [DependencyInjection] Fix on-invalid attribute type in xsd (ogizanagi)
  • bug #20931 [VarDumper] Fix dumping by-ref variadics (nicolas-grekas)
  • bug #20749 [FrameworkBundle] Smarter default for framework.annotations (ogizanagi)
  • bug #20734 [Security] AbstractVoter->supportsAttribute gives false positive if attribute is zero (0) (martynas-foodpanda)
  • bug #14082 [config] Fix issue when key removed and left value only (zerustech)
  • bug #20910 [HttpFoundation] Fix cookie to string conversion for raw cookies (ro0NL)
  • bug #20909 Fix misresolved parameters in debug:config on 3.2 (chalasr)
  • bug #20904 [TwigBundle] Config is now a hard dependency (dunglas)
  • bug #20847 [Console] fixed BC issue with static closures (araines)

Want to upgrade to this new release? Fortunately, because Symfony protects backwards-compatibility very closely, this should be quite easy. Read our upgrade documentation to learn more.

Want to check the integrity of this new version? Read my blog post about signing releases .

Want to be notified whenever a new Symfony release is published? Or when a version is not maintained anymore? Or only when a security issue is fixed? Consider subscribing to the Symfony Roadmap Notifications.

Comments

I think that there is a problem with dependencies/requirements of Symfony-3.2.2.

Symfony-3.2.2 comes with twig-2.1.0 that requires PHP 7.0 instead of 5.5.x
but composer.json not tell anything about that ("php": ">=5.5.9").
These release notes neither tell anything about twig-2.1 dependency or PHP-7.0 requisite.

Steps:
- Start with a previous installed version of Symfony 3.2.1 or 3.2.0 (i was working with 3.2.0)
- Do "composer update" or "composer update symfony/symfony --with-dependencies", it installs Symfony-3.2.2 with the twig-2.x branch (2.10) instead of the 1.x one.

I had to do "composer require twig/twig 1.x" after "composer remove twig/twig" to get symfony-3.2.2 to work with PHP versions before 7.0 (PHP 5.6).

Section require of my composer.json:
"require": {
"php": ">=5.5.9",
"symfony/symfony": "3.2.*",
"doctrine/orm": "^2.5",
"doctrine/doctrine-bundle": "^1.6",
"doctrine/doctrine-cache-bundle": "^1.2",
"symfony/swiftmailer-bundle": "^2.3",
"symfony/monolog-bundle": "^3.0",
"symfony/polyfill-apcu": "^1.0",
"sensio/distribution-bundle": "^5.0",
"sensio/framework-extra-bundle": "^3.0.2",
"incenteev/composer-parameter-handler": "^2.0",
"symfony/assetic-bundle": "^2.8",
#to bypass twig 2.10 instalation and PHP-7.0 requisite
"twig/twig": "1.x"
},

Comments are closed.

To ensure that comments stay relevant, they are closed for old posts.